Subject: Re: [pim] IGMPv3/MLDv2 implementation and deployment survey

From: Linus Lüssing <[email-masked]>
Date: Tue, 31 Mar 2020 21:41:33 +0200

On Tue, Feb 25, 2020 at 01:24:39PM -0800, Stig Venaas wrote:
> The IETF PIM Working Group intends to progress IGMPv3 and MLDv2 from
> Proposed Standards to Internet Standards. To facilitate that, the working
> group  would like to get input from operators and others deploying multicast,
> and implementors of these protocols, to learn what the current
> implementation and deployment status is.
> 
> If you are using multicast, or have implemented these protocols, please
> respond to the survey at
> https://jisc.onlinesurveys.ac.uk/implementation-and-deployment-of-igmpv3-and-mldv2
> 
> It is sufficient to get responses from one person from each organization.
> The survey closes on March 13 2020.
> 
> To get input from as many organizations as possible, please help forward
> this email, or distribute the URL, to any contacts you may have that have
> deployment or implementation experiences, on relevant mailing lists etc.
> 
> If you have any queries about the survey, please contact the PIM WG chairs
> at [email-masked].
> 
> Regards Stig and Mike

Maybe not quite on-topic for this survey (maybe for a future
survey). Would have been interested in how wide spread Multicast
Router Discovery (RFC4286) is adopted yet. Both on the multicast router
and snooping switch side.

Just to know if at some point using MRD is reliable enough as a
single source for the multicast router port list. Versus snooping
PIM messages, MLD/IGMP Query messages etc. Missed RFC4286 in the features
questions of the survey a bit.

---

Also I'm a bit unsure what's ment with multi-vendor implementation
exactly. Would using the same software (OpenWrt based), but hardware
from various vendors count as multi-vendor? Are users supposed to
be considered for multi-vendor, too? So is a network multi-vendor
as soon as there are different laptops or operating systems using it?
What if our network is 99.9% the same/similar software, but sometimes
someone attaches a completely different router with a different
software to the network?

"Which IGMPv3 and MLDv2 features do you use?"

If the network does not fully support IGMPv3/MLDv2, am I supposed
to uncheck all of these? Or should I select the according features
if the network is IGMPv2/MLDv1, too? (3.2.2.1. A+B are
IGMPv3/MLDv2 specfic, but the rest does not seem to)

"How could [RFC3376] and [RFC3810] have helped minimize these
issues?"

Is the question how upgrading from IGMPv2/MLDv1 to IGMPv3/MLDv2
could have solved the previously noted issues? Or is the question
what is missing or should have been changed in IGMPv3/MLDv2 to
solve those issues?

How to select the features list if the implementation partially
supports IGMPv3/MLDv2? For instance the Linux bridge is able to
generally process IGMPv3/MLDv2 Reports, but disregards source records
for now and conservatively interprets them as if they were
IGMPv2/MLDv1 Reports.

What is the difference between a "snooping proxy" and a "host
proxy"?

How is "L2 Report flooding" a feature if RFC4541 disallows it for
snooping switches?

---

Other than that, thanks for this interesting survey and I'm
curious about its results.

Regards, Linus

PS: And sorry for the (too late) questions. So that there is/was
actually no time to respond and clarify before the deadline.